<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* schedule-form-edit.twig */
class __TwigTemplate_905ccfd3bceffcc177b79ac3d5da7b61348034fc3b178319db98f7654002c08b extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'callBack' => [$this, 'block_callBack'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "schedule-form-edit.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("form-base.twig", "schedule-form-edit.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_formTitle($context, array $blocks = [])
    {
        // line 13
        echo "    ";
        echo __("Edit Event");
    }

    // line 16
    public function block_callBack($context, array $blocks = [])
    {
        echo "setupScheduleForm";
    }

    // line 18
    public function block_formButtons($context, array $blocks = [])
    {
        // line 19
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 20
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 21
        echo __("Delete");
        echo ", XiboSwapDialog(\"";
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("schedule.delete.form", ["id" => $this->getAttribute(($context["event"] ?? null), "eventId", [])]), "html", null, true);
        echo "\")
    ";
        // line 22
        echo __("Save");
        echo ", beforeSubmitScheduleForm(\$(\"#scheduleEditForm\"))
";
    }

    // line 25
    public function block_formHtml($context, array $blocks = [])
    {
        // line 26
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 29
        echo __("General");
        echo "</span></a></li>
                <li class=\"repeats\"><a href=\"#repeats\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 30
        echo __("Repeats");
        echo "</span></a></li>
                <li class=\"reminders\"><a href=\"#reminders\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 31
        echo __("Reminder");
        echo "</span></a></li>
                <li class=\"geoSchedule\"><a href=\"#geoSchedule\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 32
        echo __("Geo Location");
        echo "</span></a></li>
            </ul>
            ";
        // line 34
        ob_start(function () { return ''; });
        echo __("Select the start time for this event");
        $context["dayPartMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 35
        echo "            ";
        ob_start(function () { return ''; });
        echo __("Start and end time will be defined by the daypart's configuration for this day of the week. Use a repeating schedule to apply this event over multiple days");
        $context["notDayPartMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 36
        echo "            <form id=\"scheduleEditForm\" autocomplete=\"off\" class=\"form-horizontal\" method=\"put\" data-event-id=\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["event"] ?? null), "eventId", []), "html", null, true);
        echo "\" data-event-start=\"";
        echo twig_escape_filter($this->env, ($context["eventStart"] ?? null), "html", null, true);
        echo "\" data-event-end=\"";
        echo twig_escape_filter($this->env, ($context["eventEnd"] ?? null), "html", null, true);
        echo "\" action=\"";
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("schedule.edit", ["id" => $this->getAttribute(($context["event"] ?? null), "eventId", [])]), "html", null, true);
        echo "\"
                  data-daypart-message=\"";
        // line 37
        echo twig_escape_filter($this->env, ($context["dayPartMessage"] ?? null), "html", null, true);
        echo "\"
                  data-not-daypart-message=\"";
        // line 38
        echo twig_escape_filter($this->env, ($context["notDayPartMessage"] ?? null), "html", null, true);
        echo "\"
                  data-add-url=\"";
        // line 39
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("schedule.add"), "html", null, true);
        echo "\"
                  data-duplicated-message=\"";
        // line 40
        echo __("Duplicate form loaded, make adjustments and press save.");
        echo "\"
                  data-default-lat=\"";
        // line 41
        echo twig_escape_filter($this->env, ($context["defaultLat"] ?? null), "html", null, true);
        echo "\"
                  data-default-long=\"";
        // line 42
        echo twig_escape_filter($this->env, ($context["defaultLong"] ?? null), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 45
        ob_start(function () { return ''; });
        echo __("Event Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the type of event to schedule");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 47
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Layout");
        $context["layoutEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Campaign");
        $context["campaignEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Command");
        $context["commandEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Overlay Layout");
        $context["overlayEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Interrupt Layout");
        $context["interruptEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                        ";
        $context["eventTypes"] = [0 => ["id" => 1, "label" =>         // line 53
($context["layoutEventType"] ?? null)], 1 => ["id" => 5, "label" =>         // line 54
($context["campaignEventType"] ?? null)], 2 => ["id" => 2, "label" =>         // line 55
($context["commandEventType"] ?? null)], 3 => ["id" => 3, "label" =>         // line 56
($context["overlayEventType"] ?? null)], 4 => ["id" => 4, "label" =>         // line 57
($context["interruptEventType"] ?? null)]];
        // line 59
        echo "                        ";
        echo $context["forms"]->getdropdown("eventTypeId", "single", ($context["title"] ?? null), $this->getAttribute(($context["event"] ?? null), "eventTypeId", []), ($context["eventTypes"] ?? null), "id", "label", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 61
        ob_start(function () { return ''; });
        echo __("Display");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select one or more displays / groups for this event to be shown on.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-search-url", "value" => $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("schedule.displayGroup.search")], 1 => ["name" => "data-trans-groups", "value" => __("Groups")], 2 => ["name" => "data-trans-display", "value" => __("Display")]];
        // line 68
        echo "                        ";
        echo $context["forms"]->getdropdown("displayGroupIds[]", "dropdownmulti", ($context["title"] ?? null), ($context["displayGroupIds"] ?? null), ($context["displayGroups"] ?? null), "displayGroupId", "displayGroup", ($context["helpText"] ?? null), "", "", "", "", ($context["attributes"] ?? null));
        echo "

                        ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Dayparting");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the dayparting information for this event. To set your own times select custom and to have the event run constantly select Always.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        <div class=\"form-group day-part-control\">
                            <label class=\"col-sm-2 control-label\" for=\"dayPartId\">";
        // line 73
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-10\">
                                <select class=\"form-control\" name=\"dayPartId\" id=\"dayPartId\">
                                    ";
        // line 76
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["dayParts"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["dayPart"]) {
            // line 77
            echo "                                        <option ";
            if (($this->getAttribute($context["dayPart"], "dayPartId", []) == $this->getAttribute(($context["event"] ?? null), "dayPartId", []))) {
                echo "selected";
            }
            // line 78
            echo "                                                value=\"";
            echo twig_escape_filter($this->env, $this->getAttribute($context["dayPart"], "dayPartId", []), "html", null, true);
            echo "\"
                                                data-is-always=\"";
            // line 79
            echo twig_escape_filter($this->env, $this->getAttribute($context["dayPart"], "isAlways", []), "html", null, true);
            echo "\"
                                                data-is-custom=\"";
            // line 80
            echo twig_escape_filter($this->env, $this->getAttribute($context["dayPart"], "isCustom", []), "html", null, true);
            echo "\">";
            echo twig_escape_filter($this->env, $this->getAttribute($context["dayPart"], "name", []), "html", null, true);
            echo "</option>
                                    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['dayPart'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 82
        echo "                                </select>
                                <span class=\"help-block\">";
        // line 83
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                            </div>
                        </div>

                        ";
        // line 87
        ob_start(function () { return ''; });
        echo __("Start Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 88
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the start time for this event");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 89
        echo "                        ";
        echo $context["forms"]->getdateTime("fromDt", ($context["title"] ?? null), $this->getAttribute(($context["event"] ?? null), "fromDt", []), ($context["helpText"] ?? null), "starttime-control", "required", "");
        echo "

                        ";
        // line 91
        ob_start(function () { return ''; });
        echo __("End Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the end time for this event");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        echo $context["forms"]->getdateTime("toDt", ($context["title"] ?? null), $this->getAttribute(($context["event"] ?? null), "toDt", []), ($context["helpText"] ?? null), "endtime-control", "required", "");
        echo "

                        ";
        // line 96
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-search-url", "value" => $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("schedule.campaign.search")], 1 => ["name" => "data-search-is-layout-specific", "value" =>  -1], 2 => ["name" => "data-trans-layout", "value" => __("Layout")], 3 => ["name" => "data-trans-layout-help-text", "value" => __("Please select a Layout for this Event to show")], 4 => ["name" => "data-trans-layout", "value" => __("Campaign")], 5 => ["name" => "data-trans-layout-help-text", "value" => __("Please select a Campaign for this Event to show")]];
        // line 104
        echo "
                        ";
        // line 105
        ob_start(function () { return ''; });
        echo __("Layout");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a Layout for this Event to show");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 107
        echo "                        ";
        echo $context["forms"]->getdropdown("campaignId", "single", ($context["title"] ?? null), $this->getAttribute(($context["event"] ?? null), "campaignId", []), [0 => ($context["campaign"] ?? null)], "campaignId", "campaign", ($context["helpText"] ?? null), "layout-control", "", "", "", ($context["attributes"] ?? null));
        echo "

                        <div class=\"form-group preview-button-container\">
                            <div class=\"col-md-offset-2 col-md-10\">
                                <a id=\"previewButton\" class=\"btn btn-success\" target=\"_blank\" data-url=\"";
        // line 111
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("campaign.preview"), "html", null, true);
        echo "\">";
        echo __("Preview");
        echo " <span class=\"fa fa-tablet\"></span></a>
                                <span class=\"help-block\">";
        // line 112
        echo __("Preview your selection in a new tab");
        echo "</span>
                            </div>
                        </div>

                        <div class=\"form-group interrupt-control\" style=\"display: block;\">
                            <label class=\"col-sm-2 control-label\" for=\"shareOfVoice\" accesskey=\"\">";
        // line 117
        echo __("Share of Voice");
        echo "</label>
                            <div class=\"col-sm-5\">
                                <input class=\"form-control\" name=\"shareOfVoice\" type=\"number\" id=\"shareOfVoice\" value=\"";
        // line 119
        echo twig_escape_filter($this->env, $this->getAttribute(($context["event"] ?? null), "shareOfVoice", []), "html", null, true);
        echo "\" min=\"0\" max=\"3600\" step=\"1\">
                                <span class=\"help-block\">";
        // line 120
        echo __("The amount of time this Layout should be shown, in seconds per hour.");
        echo "</span>
                            </div>

                              <div class=\"col-sm-5\">
                                <input class=\"form-control\" name=\"shareOfVoicePercentage\" type=\"number\" id=\"shareOfVoicePercentage\" value=\"\">
                                <span class=\"help-block\">";
        // line 125
        echo __("As a percentage");
        echo "</span>
                            </div>
                        </div>

                        ";
        // line 129
        ob_start(function () { return ''; });
        echo __("Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a command for this Event.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 131
        echo "                        ";
        echo $context["forms"]->getdropdown("commandId", "single", ($context["title"] ?? null), $this->getAttribute(($context["event"] ?? null), "commandId", []), twig_array_merge([0 => ["commandId" => "", "command" => ""]], ($context["commands"] ?? null)), "commandId", "command", ($context["helpText"] ?? null), "command-control");
        echo "

                        ";
        // line 133
        ob_start(function () { return ''; });
        echo __("Display Order");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the order this event should appear in relation to others when there is more than one event scheduled");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 135
        echo "                        ";
        echo $context["forms"]->getnumber("displayOrder", ($context["title"] ?? null), $this->getAttribute(($context["event"] ?? null), "displayOrder", []), ($context["helpText"] ?? null), "displayOrder-control");
        echo "

                        ";
        // line 137
        ob_start(function () { return ''; });
        echo __("Priority");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Sets the event priority - events with the highest priority play in preference to lower priority events.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 139
        echo "                        ";
        echo $context["forms"]->getnumber("isPriority", ($context["title"] ?? null), $this->getAttribute(($context["event"] ?? null), "isPriority", []), ($context["helpText"] ?? null), "priority-control");
        echo "

                        ";
        // line 141
        ob_start(function () { return ''; });
        echo __("Run at CMS Time?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 142
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("When selected, your event will run according to the timezone set on the CMS, otherwise the event will run at Display local time");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        echo $context["forms"]->getcheckbox("syncTimezone", ($context["title"] ?? null), $this->getAttribute(($context["event"] ?? null), "syncTimezone", []), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 145
        if (($this->getAttribute(($context["settings"] ?? null), "EVENT_SYNC", []) == 1)) {
            // line 146
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Synchronise this event?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 147
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("When selected, all selected players will attempt to synchronise the output (Supported on Android player only)");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 148
            echo "                            ";
            echo $context["forms"]->getcheckbox("syncEvent", ($context["title"] ?? null), $this->getAttribute(($context["event"] ?? null), "syncEvent", []), ($context["helpText"] ?? null), "sync-schedule-control");
            echo "
                        ";
        }
        // line 150
        echo "
                        ";
        // line 151
        if (($context["recurringEvent"] ?? null)) {
            // line 152
            echo "                            <div class=\"well text-info text-center form-error\">
                                <p>This is an instance of a scheduled recurring event:
                                    <span class=\"fa fa-info-circle\"
                                          data-toggle=\"popover\"
                                          data-trigger=\"hover\"
                                          data-placement=\"bottom\"
                                          data-content=\"";
            // line 158
            echo __("Editing the Start and or End date/time will create a new Recurring Event across the Schedule. Any previously deleted instances of this event will be recreated with edits made here.");
            echo "\"></span></p>
                                <p>
                                    Starting from <span class=\"text-warning\"><b id=\"instanceStartDate\">-</b></span> to <span class=\"text-warning\"><b id=\"instanceEndDate\">-</b></span>
                                </p>
                                <div id=\"recurringInfo\"></div>
                            </div>
                        ";
        }
        // line 165
        echo "
                    </div>
                    
                    <div class=\"tab-pane\" id=\"repeats\">
                        ";
        // line 169
        ob_start(function () { return ''; });
        echo __("Repeats");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 170
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the type of Repeat required for this Event.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 171
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 172
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Per Minute");
        $context["minute"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 173
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Hourly");
        $context["hourly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 174
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Daily");
        $context["daily"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 175
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Weekly");
        $context["weekly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 176
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Monthly");
        $context["monthly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 177
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Yearly");
        $context["yearly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 178
        echo "                        ";
        $context["options"] = [0 => ["id" => "", "name" =>         // line 179
($context["noneOption"] ?? null)], 1 => ["id" => "Minute", "name" =>         // line 180
($context["minute"] ?? null)], 2 => ["id" => "Hour", "name" =>         // line 181
($context["hourly"] ?? null)], 3 => ["id" => "Day", "name" =>         // line 182
($context["daily"] ?? null)], 4 => ["id" => "Week", "name" =>         // line 183
($context["weekly"] ?? null)], 5 => ["id" => "Month", "name" =>         // line 184
($context["monthly"] ?? null)], 6 => ["id" => "Year", "name" =>         // line 185
($context["yearly"] ?? null)]];
        // line 187
        echo "                        ";
        echo $context["forms"]->getdropdown("recurrenceType", "single", ($context["title"] ?? null), $this->getAttribute(($context["event"] ?? null), "recurrenceType", []), ($context["options"] ?? null), "id", "name", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 189
        ob_start(function () { return ''; });
        echo __("Use the drop-down to select which days of the week this Event should be repeated");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 190
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Monday");
        $context["monday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 191
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tuesday");
        $context["tuesday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 192
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Wednesday");
        $context["wednesday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 193
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Thursday");
        $context["thursday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 194
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Friday");
        $context["friday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 195
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Saturday");
        $context["saturday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 196
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Sunday");
        $context["sunday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 197
        echo "                        ";
        $context["options"] = [0 => ["id" => 1, "name" =>         // line 198
($context["monday"] ?? null)], 1 => ["id" => 2, "name" =>         // line 199
($context["tuesday"] ?? null)], 2 => ["id" => 3, "name" =>         // line 200
($context["wednesday"] ?? null)], 3 => ["id" => 4, "name" =>         // line 201
($context["thursday"] ?? null)], 4 => ["id" => 5, "name" =>         // line 202
($context["friday"] ?? null)], 5 => ["id" => 6, "name" =>         // line 203
($context["saturday"] ?? null)], 6 => ["id" => 7, "name" =>         // line 204
($context["sunday"] ?? null)]];
        // line 206
        echo "                        ";
        echo $context["forms"]->getdropdown("recurrenceRepeatsOn[]", "dropdownmulti", "", $this->getAttribute(($context["event"] ?? null), "recurrenceRepeatsOn", []), ($context["options"] ?? null), "id", "name", ($context["helpText"] ?? null), "repeat-weekly-control-group");
        echo "

                        ";
        // line 208
        ob_start(function () { return ''; });
        echo __("Should this Event Repeat by Day of the month (eg. Monthly on Day 21) or by a Weekday in the month (eg. Monthly on the third Thursday)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 209
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-value", "value" => $this->getAttribute(        // line 210
($context["event"] ?? null), "recurrenceMonthlyRepeatsOn", [])], 1 => ["name" => "data-trans-day", "value" => __("on the [DAY] day")], 2 => ["name" => "data-trans-weekday", "value" => __("on the [POSITION] [WEEKDAY]")]];
        // line 214
        echo "                        ";
        echo $context["forms"]->getdropdown("recurrenceMonthlyRepeatsOn", "single", "", $this->getAttribute(($context["event"] ?? null), "recurrenceMonthlyRepeatsOn", []), [0 => ["id" => $this->getAttribute(($context["event"] ?? null), "recurrenceMonthlyRepeatsOn", []), "name" => ""]], "id", "name", ($context["helpText"] ?? null), "repeat-monthly-control-group", "", "", "", ($context["attributes"] ?? null));
        echo "

                        ";
        // line 216
        ob_start(function () { return ''; });
        echo __("Every");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 217
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Include a number to determine the Repeat frequency required for this Event.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 218
        echo "                        <div class=\"form-group repeat-control-group\">
                            <label class=\"col-sm-2 control-label\" for=\"recurrenceDetail\">";
        // line 219
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-10\">
                                <div class=\"input-group\">
                                    <input class=\"form-control\" name=\"recurrenceDetail\" type=\"number\" id=\"recurrenceDetail\" value=\"";
        // line 222
        echo twig_escape_filter($this->env, $this->getAttribute(($context["event"] ?? null), "recurrenceDetail", []), "html", null, true);
        echo "\" />
                                    <div class=\"input-group-addon\"></div>
                                </div>
                                <span class=\"help-block\">";
        // line 225
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                            </div>
                        </div>

                        ";
        // line 229
        ob_start(function () { return ''; });
        echo __("Until");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 230
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a date and time to end the Repeat for this Event. Leave empty to Repeat indefinitely.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 231
        echo "                        ";
        echo $context["forms"]->getdateTime("recurrenceRange", ($context["title"] ?? null), $this->getAttribute(($context["event"] ?? null), "recurrenceRange", []), ($context["helpText"] ?? null), "repeat-control-group", "", "");
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"reminders\">
                        ";
        // line 235
        ob_start(function () { return ''; });
        echo __("Use the form fields below to create a set of reminders for this event. New fields can be added by clicking on the + icon at the end of the row. Use the tick box to receive a notification by email alternatively reminders will be shown in the message center.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 236
        echo "                        ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "
                        <div id=\"reminderFields\" data-reminders=\"";
        // line 237
        echo twig_escape_filter($this->env, twig_jsonencode_filter(($context["reminders"] ?? null)), "html", null, true);
        echo "\"></div>
                    </div>

                    <div class=\"tab-pane\" id=\"geoSchedule\">
                        ";
        // line 241
        ob_start(function () { return ''; });
        echo __("Geo Schedule?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 242
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this event be location aware? Enable this checkbox and select an area by drawing a polygon or rectangle layer on the map below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 243
        echo "                        ";
        echo $context["forms"]->getcheckbox("isGeoAware", ($context["title"] ?? null), $this->getAttribute(($context["event"] ?? null), "isGeoAware", []), ($context["helpText"] ?? null), "");
        echo "

                        <div id=\"geoScheduleMap\" style=\"height: 500px; width: 100%\" class=\"hidden\"></div>

                        ";
        // line 247
        echo $context["forms"]->gethidden("geoLocation", $this->getAttribute(($context["event"] ?? null), "geoLocation", []));
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "schedule-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  686 => 247,  678 => 243,  673 => 242,  669 => 241,  662 => 237,  657 => 236,  653 => 235,  645 => 231,  640 => 230,  636 => 229,  629 => 225,  623 => 222,  617 => 219,  614 => 218,  609 => 217,  605 => 216,  599 => 214,  597 => 210,  595 => 209,  591 => 208,  585 => 206,  583 => 204,  582 => 203,  581 => 202,  580 => 201,  579 => 200,  578 => 199,  577 => 198,  575 => 197,  570 => 196,  565 => 195,  560 => 194,  555 => 193,  550 => 192,  545 => 191,  540 => 190,  536 => 189,  530 => 187,  528 => 185,  527 => 184,  526 => 183,  525 => 182,  524 => 181,  523 => 180,  522 => 179,  520 => 178,  515 => 177,  510 => 176,  505 => 175,  500 => 174,  495 => 173,  490 => 172,  485 => 171,  480 => 170,  476 => 169,  470 => 165,  460 => 158,  452 => 152,  450 => 151,  447 => 150,  441 => 148,  436 => 147,  431 => 146,  429 => 145,  423 => 143,  418 => 142,  414 => 141,  408 => 139,  403 => 138,  399 => 137,  393 => 135,  388 => 134,  384 => 133,  378 => 131,  373 => 130,  369 => 129,  362 => 125,  354 => 120,  350 => 119,  345 => 117,  337 => 112,  331 => 111,  323 => 107,  318 => 106,  314 => 105,  311 => 104,  308 => 96,  302 => 93,  297 => 92,  293 => 91,  287 => 89,  282 => 88,  278 => 87,  271 => 83,  268 => 82,  258 => 80,  254 => 79,  249 => 78,  244 => 77,  240 => 76,  234 => 73,  231 => 72,  226 => 71,  222 => 70,  216 => 68,  213 => 63,  208 => 62,  204 => 61,  198 => 59,  196 => 57,  195 => 56,  194 => 55,  193 => 54,  192 => 53,  190 => 52,  185 => 51,  180 => 50,  175 => 49,  170 => 48,  165 => 47,  160 => 46,  156 => 45,  150 => 42,  146 => 41,  142 => 40,  138 => 39,  134 => 38,  130 => 37,  119 => 36,  114 => 35,  110 => 34,  105 => 32,  101 => 31,  97 => 30,  93 => 29,  88 => 26,  85 => 25,  79 => 22,  73 => 21,  69 => 20,  62 => 19,  59 => 18,  53 => 16,  48 => 13,  45 => 12,  40 => 9,  38 => 10,  32 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "schedule-form-edit.twig", "/home/mgatv524/public_html/edurocha/views/schedule-form-edit.twig");
    }
}
